summaryrefslogtreecommitdiff
path: root/tests/chmod/setgid
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chmod/setgid')
-rwxr-xr-xtests/chmod/setgid4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chmod/setgid b/tests/chmod/setgid
index b7f9ad14c..bd9c154fd 100755
--- a/tests/chmod/setgid
+++ b/tests/chmod/setgid
@@ -47,7 +47,7 @@ chmod g+s d 2> /dev/null ||
if test $framework_failure = 1; then
echo 'failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -70,4 +70,4 @@ chmod 755 d
# For now, this test simply confirms the existing behavior.
p=`ls -ld d|sed 's/ .*//'`; case $p in drwxr-xr-x);; *) fail=1;; esac
-(exit $fail); exit
+(exit $fail); exit $fail